작업 공간에 대한 새 배포서버 생성하기 위해 ECP에 프록시합니다. ECP 상태(보류 중 -> 대기 중)를 변환합니다. 프로젝트 범위는 경로 ID 경로 매개 변수에 의해 전달되며 조직은 해당 프로젝트 에서 파생됩니다.
POST /api/v1/projects/{id}/workspaces/{workspace_id}/deployments
curl \
--request POST 'https://agentengine.mongodb.com/api/v1/projects/{id}/workspaces/{workspace_id}/deployments' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"build_id": "string"
}'
요청 예시
{
"build_id": "string"
}
응답 예시(406)
작업을 사용할 수 없습니다.
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
응답 예시(202)
{
"deployment_id": "string",
"status": "string"
}
응답 예시(202)
{
"deployment_id": "string",
"status": "string"
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(400)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(403)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(403)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(409)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(409)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(412)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(412)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(413)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(413)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(429)
# Headers
Retry-After: string
# Payload
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(429)
# Headers
Retry-After: string
# Payload
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(502)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(502)
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(503)
# Headers
Retry-After: string
# Payload
{
"code": "string",
"error": "string",
"success": true
}
응답 예시(503)
# Headers
Retry-After: string
# Payload
{
"code": "string",
"error": "string",
"success": true
}